tigase.jaxmpp.core.client.xmpp.modules.chat

## Interface MessageCarbonsModule.CarbonReceivedHandler

- All Superinterfaces:
    EventHandler
  Enclosing class:
    MessageCarbonsModule

      public static interface MessageCarbonsModule.CarbonReceivedHandler
      extends EventHandler

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `MessageCarbonsModule.CarbonReceivedHandler.CarbonReceivedEvent`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `onCarbonReceived(SessionObject sessionObject, MessageCarbonsModule.CarbonEventType carbonType, Message encapsulatedMessage, Chat chat)`

- - ### Method Detail

    - #### onCarbonReceived

          void onCarbonReceived(SessionObject sessionObject,
                                MessageCarbonsModule.CarbonEventType carbonType,
                                Message encapsulatedMessage,
                                Chat chat)

Copyright © 2006–2020 Tigase. All rights reserved.